System.register(['src/client/lively.js', 'src/client/morphic/node-helpers.js', 'src/client/morphic/event-helpers.js', 'src/client/graphics.js', 'src/components/halo/lively-halo-item.js', 'src/client/preferences.js', 'src/client/morphic/snapping.js'], function (_export, _context) {
  "use strict";

  var lively, nodes, events, pt, HaloItem, Preferences, Snapping, Grid;
  return {
    setters: [function (_srcClientLivelyJs) {
      lively = _srcClientLivelyJs.default;
    }, function (_srcClientMorphicNodeHelpersJs) {
      nodes = _srcClientMorphicNodeHelpersJs;
    }, function (_srcClientMorphicEventHelpersJs) {
      events = _srcClientMorphicEventHelpersJs;
    }, function (_srcClientGraphicsJs) {
      pt = _srcClientGraphicsJs.pt;
    }, function (_srcComponentsHaloLivelyHaloItemJs) {
      HaloItem = _srcComponentsHaloLivelyHaloItemJs.default;
    }, function (_srcClientPreferencesJs) {
      Preferences = _srcClientPreferencesJs.default;
    }, function (_srcClientMorphicSnappingJs) {
      Snapping = _srcClientMorphicSnappingJs.default;
      Grid = _srcClientMorphicSnappingJs.Grid;
    }],
    execute: function () {
      _recorder_._src_components_halo_lively_halo_vivide_combine_item_js = _recorder_._src_components_halo_lively_halo_vivide_combine_item_js || {};
      _recorder_._src_components_halo_lively_halo_vivide_combine_item_js.lively = lively;
      _recorder_._src_components_halo_lively_halo_vivide_combine_item_js.nodes = nodes;
      _recorder_._src_components_halo_lively_halo_vivide_combine_item_js.events = events;
      _recorder_._src_components_halo_lively_halo_vivide_combine_item_js.pt = pt;
      _recorder_._src_components_halo_lively_halo_vivide_combine_item_js.HaloItem = HaloItem;
      _recorder_._src_components_halo_lively_halo_vivide_combine_item_js.Preferences = Preferences;
      _recorder_._src_components_halo_lively_halo_vivide_combine_item_js.Snapping = Snapping;
      _recorder_._src_components_halo_lively_halo_vivide_combine_item_js.Grid = Grid;
      class HaloVivideCombineItem extends _recorder_._src_components_halo_lively_halo_vivide_combine_item_js.HaloItem {

        onClick(evt) {
          if (this._view) {
            HaloService.hideHalos();
            _recorder_._src_components_halo_lively_halo_vivide_combine_item_js.lively.openInspector('WOOHOO', _recorder_._src_components_halo_lively_halo_vivide_combine_item_js.pt(evt.clientX, evt.clientY));
          }
        }

        async onClick(evt) {
          if (evt.composedPath().find(ea => ea.tagName == "LIVELY-STYLE-EDITOR")) return;

          var inspectTarget = window.that;

          var editor = this.querySelector("lively-style-editor");
          if (editor) {
            editor.remove();
          } else {
            editor = await _recorder_._src_components_halo_lively_halo_vivide_combine_item_js.lively.create("lively-style-editor");
            editor.setTarget(inspectTarget);
            editor.hideTargetButton();
            this.appendChild(editor);

            _recorder_._src_components_halo_lively_halo_vivide_combine_item_js.lively.setPosition(editor, _recorder_._src_components_halo_lively_halo_vivide_combine_item_js.pt(0, -60)
            // this.hideHalo(); 
            );
          }
        }

        updateTarget(target) {
          return;
          var editor = this.querySelector("lively-style-editor");
          if (editor) {
            editor.setTarget(target);
          }
          if (view && view.tagName === 'VIVIDE-VIEW') {
            this._view = view;
          }
        }
      }

      _export('default', HaloVivideCombineItem);

      _recorder_._src_components_halo_lively_halo_vivide_combine_item_js.HaloVivideCombineItem = HaloVivideCombineItem;
    }
  };
});